summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-08-11 16:11:17 +1000
committerJesse Duffield <jessedduffield@gmail.com>2018-08-11 16:11:17 +1000
commit2dba6f6733c4b4bcc1e4173200846f16616b469d (patch)
tree49a29fb1f3ca138474935fa42d9cf217ed431924 /test
parent9626ebdf3577090cff24fab82880fe9d330adb59 (diff)
support case insensitive branch names
Diffstat (limited to 'test')
-rwxr-xr-xtest/case_insensitive_checkouts.sh30
-rwxr-xr-xtest/lots_of_commits.sh2
-rwxr-xr-xtest/unicode_characters.sh2
3 files changed, 32 insertions, 2 deletions
diff --git a/test/case_insensitive_checkouts.sh b/test/case_insensitive_checkouts.sh
new file mode 100755
index 000000000..d797a4181
--- /dev/null
+++ b/test/case_insensitive_checkouts.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# this script makes a repo with lots of commits
+
+# call this command from the test directory:
+# ./lots_of_commits.sh; cd testrepo; gg; cd ..
+
+# -e means exit if something fails
+# -x means print out simple commands before running them
+set -ex
+
+reponame="case_insensitive_checkouts"
+
+rm -rf ${reponame}
+mkdir ${reponame}
+cd ${reponame}
+
+git init
+
+touch foo
+git add foo
+git commit -m "init"
+git branch -a
+git branch test
+git branch TEST
+git checkout TEST
+git checkout TeST
+git checkout TesT
+git checkout TEsT
+git branch -a \ No newline at end of file
diff --git a/test/lots_of_commits.sh b/test/lots_of_commits.sh
index 6a92d32e2..b56c9a6be 100755
--- a/test/lots_of_commits.sh
+++ b/test/lots_of_commits.sh
@@ -9,7 +9,7 @@
# -x means print out simple commands before running them
set -ex
-reponame="testrepo"
+reponame="lots_of_commits"
rm -rf ${reponame}
mkdir ${reponame}
diff --git a/test/unicode_characters.sh b/test/unicode_characters.sh
index 92640d52f..2db0b3cfa 100755
--- a/test/unicode_characters.sh
+++ b/test/unicode_characters.sh
@@ -10,7 +10,7 @@
# -x means print out simple commands before running them
set -ex
-reponame="testrepo"
+reponame="unicode_characters"
rm -rf ${reponame}
mkdir ${reponame}